Package org.opensaml.saml.ext.saml2mdrpi

# Interface RegistrationInfo

All Superinterfaces:
  `SAMLObject`, `XMLObject`

All Known Implementing Classes:
  `RegistrationInfoImpl`

public interface RegistrationInfo extends SAMLObject
Representation of the `<mdrpi:RegistrationInfo>` element.

See Also:
  - http://docs.oasis-open.org/security /saml/Post2.0/saml-metadata-rpi/v1.0/

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Name of the element inside the Extensions.
`static final QName`
`DEFAULT_ELEMENT_NAME`
Default element name.
`static final String`
`REGISTRATION_AUTHORITY_ATTRIB_NAME`
registrationAuthority attribute name.
`static final String`
`REGISTRATION_INSTANT_ATTRIB_NAME`
registrationInstant attribute name.
`static final QName`
`REGISTRATION_INSTANT_ATTRIB_QNAME`
QName of the registrationInstant attribute.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

## Method Summary

Modifier and Type
Method
Description
`String`
`getRegistrationAuthority()`
Get the registration authority.
`Instant`
`getRegistrationInstant()`
Get the registration instant.
`List<RegistrationPolicy>`
`getRegistrationPolicies()`
Get the `RegistrationPolicy`s.
`void`
`setRegistrationAuthority(String authority)`
Set the registration authority.
`void`
`setRegistrationInstant(Instant dateTime)`
Set the registration instant.

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String DEFAULT_ELEMENT_LOCAL_NAME
Name of the element inside the Extensions.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

@Nonnull static final QName DEFAULT_ELEMENT_NAME
Default element name.

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

### REGISTRATION_AUTHORITY_ATTRIB_NAME

@Nonnull @NotEmpty static final String REGISTRATION_AUTHORITY_ATTRIB_NAME
registrationAuthority attribute name.

See Also:
  - Constant Field Values

### REGISTRATION_INSTANT_ATTRIB_NAME

@Nonnull @NotEmpty static final String REGISTRATION_INSTANT_ATTRIB_NAME
registrationInstant attribute name.

See Also:
  - Constant Field Values

### REGISTRATION_INSTANT_ATTRIB_QNAME

@Nonnull static final QName REGISTRATION_INSTANT_ATTRIB_QNAME
QName of the registrationInstant attribute.

## Method Details

### getRegistrationAuthority

@Nullable String getRegistrationAuthority()
Get the registration authority.

Returns:
  the registration authority

### setRegistrationAuthority

void setRegistrationAuthority(@Nullable String authority)
Set the registration authority.

Parameters:
  `authority` - the registration authority

### getRegistrationInstant

@Nullable Instant getRegistrationInstant()
Get the registration instant.

Returns:
  the registration instant

### setRegistrationInstant

void setRegistrationInstant(@Nullable Instant dateTime)
Set the registration instant.

Parameters:
  `dateTime` - the instant

### getRegistrationPolicies

@Nonnull @Live List<RegistrationPolicy> getRegistrationPolicies()
Get the `RegistrationPolicy`s.

Returns:
  the list of policies